Eclipse Foundation Member
IBM Liberty Developer Tools

Add this URL to your Eclipse Installation to reach this solution's update site.

2018-09 (4.9)
Photon (4.8)


Oxygen (4.7)


Learn more...

Details Group Tabs

Thursday, September 20, 2018 - 06:18
aamon's picture

The extra options like
-Web Development Tools
-Services Development Tools

sometimes locks the Maven POM.xml. This makes it impossible for GIT to merge. Can IBM please fix this problem ASAP. It somehow even locks POM.xml even if that project is not using Liberty.

see stackoverflow.com/questions/47105159/locked-pom-xml-causes-git-branch-checkout-failure-in-eclipse

cconnert7he's picture

Hi, 

I have been trying to install the latest liberty tools in my photon, but I get the following error:

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Unable to read repository at ...com.ibm.etools.restapi.documentation.swagger.core_1.0.200.v20180627_2035.jar.
Connection reset

Also manual donwload fail